1. Packages
  2. Packages
  3. Azure Native
  4. API Docs
  5. datafactory
  6. GlobalParameter
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.20.0
published on Thursday, Jul 9, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.20.0
published on Thursday, Jul 9, 2026 by Pulumi

    Global parameters resource type.

    Uses Azure REST API version 2018-06-01. In version 2.x of the Azure Native provider, it used API version 2018-06-01.

    Example Usage

    GlobalParameters_Create

    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using AzureNative = Pulumi.AzureNative;
    
    return await Deployment.RunAsync(() => 
    {
        var globalParameter = new AzureNative.DataFactory.GlobalParameter("globalParameter", new()
        {
            FactoryName = "exampleFactoryName",
            GlobalParameterName = "default",
            Properties = 
            {
                { "waitTime", new AzureNative.DataFactory.Inputs.GlobalParameterSpecificationArgs
                {
                    Type = AzureNative.DataFactory.GlobalParameterType.Int,
                    Value = 5,
                } },
            },
            ResourceGroupName = "exampleResourceGroup",
        });
    
    });
    
    package main
    
    import (
    	datafactory "github.com/pulumi/pulumi-azure-native-sdk/datafactory/v3"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datafactory.NewGlobalParameter(ctx, "globalParameter", &datafactory.GlobalParameterArgs{
    			FactoryName:         pulumi.String("exampleFactoryName"),
    			GlobalParameterName: pulumi.String("default"),
    			Properties: datafactory.GlobalParameterSpecificationMap{
    				"waitTime": &datafactory.GlobalParameterSpecificationArgs{
    					Type:  pulumi.String(datafactory.GlobalParameterTypeInt),
    					Value: pulumi.Any(5),
    				},
    			},
    			ResourceGroupName: pulumi.String("exampleResourceGroup"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    pulumi {
      required_providers {
        azure-native = {
          source = "pulumi/azure-native"
        }
      }
    }
    
    resource "azure-native_datafactory_globalparameter" "globalParameter" {
      factory_name          = "exampleFactoryName"
      global_parameter_name = "default"
      properties = {
        "waitTime" = {
          type  = "Int"
          value = 5
        }
      }
      resource_group_name = "exampleResourceGroup"
    }
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.azurenative.datafactory.GlobalParameter;
    import com.pulumi.azurenative.datafactory.GlobalParameterArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var globalParameter = new GlobalParameter("globalParameter", GlobalParameterArgs.builder()
                .factoryName("exampleFactoryName")
                .globalParameterName("default")
                .properties(Map.of("waitTime", GlobalParameterSpecificationArgs.builder()
                    .type("Int")
                    .value(5)
                    .build()))
                .resourceGroupName("exampleResourceGroup")
                .build());
    
        }
    }
    
    import * as pulumi from "@pulumi/pulumi";
    import * as azure_native from "@pulumi/azure-native";
    
    const globalParameter = new azure_native.datafactory.GlobalParameter("globalParameter", {
        factoryName: "exampleFactoryName",
        globalParameterName: "default",
        properties: {
            waitTime: {
                type: azure_native.datafactory.GlobalParameterType.Int,
                value: 5,
            },
        },
        resourceGroupName: "exampleResourceGroup",
    });
    
    import pulumi
    import pulumi_azure_native as azure_native
    
    global_parameter = azure_native.datafactory.GlobalParameter("globalParameter",
        factory_name="exampleFactoryName",
        global_parameter_name="default",
        properties={
            "waitTime": {
                "type": azure_native.datafactory.GlobalParameterType.INT,
                "value": 5,
            },
        },
        resource_group_name="exampleResourceGroup")
    
    resources:
      globalParameter:
        type: azure-native:datafactory:GlobalParameter
        properties:
          factoryName: exampleFactoryName
          globalParameterName: default
          properties:
            waitTime:
              type: Int
              value: 5
          resourceGroupName: exampleResourceGroup
    

    GlobalParameters_Update

    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using AzureNative = Pulumi.AzureNative;
    
    return await Deployment.RunAsync(() => 
    {
        var globalParameter = new AzureNative.DataFactory.GlobalParameter("globalParameter", new()
        {
            FactoryName = "exampleFactoryName",
            GlobalParameterName = "default",
            Properties = 
            {
                { "waitTime", new AzureNative.DataFactory.Inputs.GlobalParameterSpecificationArgs
                {
                    Type = AzureNative.DataFactory.GlobalParameterType.Int,
                    Value = 5,
                } },
            },
            ResourceGroupName = "exampleResourceGroup",
        });
    
    });
    
    package main
    
    import (
    	datafactory "github.com/pulumi/pulumi-azure-native-sdk/datafactory/v3"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datafactory.NewGlobalParameter(ctx, "globalParameter", &datafactory.GlobalParameterArgs{
    			FactoryName:         pulumi.String("exampleFactoryName"),
    			GlobalParameterName: pulumi.String("default"),
    			Properties: datafactory.GlobalParameterSpecificationMap{
    				"waitTime": &datafactory.GlobalParameterSpecificationArgs{
    					Type:  pulumi.String(datafactory.GlobalParameterTypeInt),
    					Value: pulumi.Any(5),
    				},
    			},
    			ResourceGroupName: pulumi.String("exampleResourceGroup"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    pulumi {
      required_providers {
        azure-native = {
          source = "pulumi/azure-native"
        }
      }
    }
    
    resource "azure-native_datafactory_globalparameter" "globalParameter" {
      factory_name          = "exampleFactoryName"
      global_parameter_name = "default"
      properties = {
        "waitTime" = {
          type  = "Int"
          value = 5
        }
      }
      resource_group_name = "exampleResourceGroup"
    }
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.azurenative.datafactory.GlobalParameter;
    import com.pulumi.azurenative.datafactory.GlobalParameterArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var globalParameter = new GlobalParameter("globalParameter", GlobalParameterArgs.builder()
                .factoryName("exampleFactoryName")
                .globalParameterName("default")
                .properties(Map.of("waitTime", GlobalParameterSpecificationArgs.builder()
                    .type("Int")
                    .value(5)
                    .build()))
                .resourceGroupName("exampleResourceGroup")
                .build());
    
        }
    }
    
    import * as pulumi from "@pulumi/pulumi";
    import * as azure_native from "@pulumi/azure-native";
    
    const globalParameter = new azure_native.datafactory.GlobalParameter("globalParameter", {
        factoryName: "exampleFactoryName",
        globalParameterName: "default",
        properties: {
            waitTime: {
                type: azure_native.datafactory.GlobalParameterType.Int,
                value: 5,
            },
        },
        resourceGroupName: "exampleResourceGroup",
    });
    
    import pulumi
    import pulumi_azure_native as azure_native
    
    global_parameter = azure_native.datafactory.GlobalParameter("globalParameter",
        factory_name="exampleFactoryName",
        global_parameter_name="default",
        properties={
            "waitTime": {
                "type": azure_native.datafactory.GlobalParameterType.INT,
                "value": 5,
            },
        },
        resource_group_name="exampleResourceGroup")
    
    resources:
      globalParameter:
        type: azure-native:datafactory:GlobalParameter
        properties:
          factoryName: exampleFactoryName
          globalParameterName: default
          properties:
            waitTime:
              type: Int
              value: 5
          resourceGroupName: exampleResourceGroup
    

    Create GlobalParameter Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new GlobalParameter(name: string, args: GlobalParameterArgs, opts?: CustomResourceOptions);
    @overload
    def GlobalParameter(resource_name: str,
                        args: GlobalParameterArgs,
                        opts: Optional[ResourceOptions] = None)
    
    @overload
    def GlobalParameter(resource_name: str,
                        opts: Optional[ResourceOptions] = None,
                        factory_name: Optional[str] = None,
                        properties: Optional[Mapping[str, GlobalParameterSpecificationArgs]] = None,
                        resource_group_name: Optional[str] = None,
                        global_parameter_name: Optional[str] = None)
    func NewGlobalParameter(ctx *Context, name string, args GlobalParameterArgs, opts ...ResourceOption) (*GlobalParameter, error)
    public GlobalParameter(string name, GlobalParameterArgs args, CustomResourceOptions? opts = null)
    public GlobalParameter(String name, GlobalParameterArgs args)
    public GlobalParameter(String name, GlobalParameterArgs args, CustomResourceOptions options)
    
    type: azure-native:datafactory:GlobalParameter
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "azure-native_datafactory_globalparameter" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args GlobalParameterArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args GlobalParameterArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args GlobalParameterArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args GlobalParameterArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args GlobalParameterArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var globalParameterResource = new AzureNative.DataFactory.GlobalParameter("globalParameterResource", new()
    {
        FactoryName = "string",
        Properties = 
        {
            { "string", new AzureNative.DataFactory.Inputs.GlobalParameterSpecificationArgs
            {
                Type = "string",
                Value = "any",
            } },
        },
        ResourceGroupName = "string",
        GlobalParameterName = "string",
    });
    
    example, err := datafactory.NewGlobalParameter(ctx, "globalParameterResource", &datafactory.GlobalParameterArgs{
    	FactoryName: pulumi.String("string"),
    	Properties: datafactory.GlobalParameterSpecificationMap{
    		"string": &datafactory.GlobalParameterSpecificationArgs{
    			Type:  pulumi.String("string"),
    			Value: pulumi.Any("any"),
    		},
    	},
    	ResourceGroupName:   pulumi.String("string"),
    	GlobalParameterName: pulumi.String("string"),
    })
    
    resource "azure-native_datafactory_globalparameter" "globalParameterResource" {
      factory_name = "string"
      properties = {
        "string" = {
          type  = "string"
          value = "any"
        }
      }
      resource_group_name   = "string"
      global_parameter_name = "string"
    }
    
    var globalParameterResource = new GlobalParameter("globalParameterResource", GlobalParameterArgs.builder()
        .factoryName("string")
        .properties(Map.of("string", GlobalParameterSpecificationArgs.builder()
            .type("string")
            .value("any")
            .build()))
        .resourceGroupName("string")
        .globalParameterName("string")
        .build());
    
    global_parameter_resource = azure_native.datafactory.GlobalParameter("globalParameterResource",
        factory_name="string",
        properties={
            "string": {
                "type": "string",
                "value": "any",
            },
        },
        resource_group_name="string",
        global_parameter_name="string")
    
    const globalParameterResource = new azure_native.datafactory.GlobalParameter("globalParameterResource", {
        factoryName: "string",
        properties: {
            string: {
                type: "string",
                value: "any",
            },
        },
        resourceGroupName: "string",
        globalParameterName: "string",
    });
    
    type: azure-native:datafactory:GlobalParameter
    properties:
        factoryName: string
        globalParameterName: string
        properties:
            string:
                type: string
                value: any
        resourceGroupName: string
    

    GlobalParameter Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The GlobalParameter resource accepts the following input properties:

    FactoryName string
    The factory name.
    Properties Dictionary<string, Pulumi.AzureNative.DataFactory.Inputs.GlobalParameterSpecificationArgs>
    Properties of the global parameter.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    GlobalParameterName string
    The global parameter name.
    FactoryName string
    The factory name.
    Properties map[string]GlobalParameterSpecificationArgs
    Properties of the global parameter.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    GlobalParameterName string
    The global parameter name.
    factory_name string
    The factory name.
    properties map(object)
    Properties of the global parameter.
    resource_group_name string
    The name of the resource group. The name is case insensitive.
    global_parameter_name string
    The global parameter name.
    factoryName String
    The factory name.
    properties Map<String,GlobalParameterSpecificationArgs>
    Properties of the global parameter.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    globalParameterName String
    The global parameter name.
    factoryName string
    The factory name.
    properties {[key: string]: GlobalParameterSpecificationArgs}
    Properties of the global parameter.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    globalParameterName string
    The global parameter name.
    factory_name str
    The factory name.
    properties Mapping[str, GlobalParameterSpecificationArgs]
    Properties of the global parameter.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    global_parameter_name str
    The global parameter name.
    factoryName String
    The factory name.
    properties Map<Property Map>
    Properties of the global parameter.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    globalParameterName String
    The global parameter name.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the GlobalParameter resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.DataFactory.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    system_data object
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    etag str
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id str
    The provider-assigned unique ID for this managed resource.
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    GlobalParameterSpecification, GlobalParameterSpecificationArgs

    Definition of a single parameter for an entity.
    Type string | Pulumi.AzureNative.DataFactory.GlobalParameterType
    Global Parameter type.
    Value object
    Value of parameter.
    Type string | GlobalParameterType
    Global Parameter type.
    Value interface{}
    Value of parameter.
    type string | "Object" | "String" | "Int" | "Float" | "Bool" | "Array"
    Global Parameter type.
    value any
    Value of parameter.
    type String | GlobalParameterType
    Global Parameter type.
    value Object
    Value of parameter.
    type string | GlobalParameterType
    Global Parameter type.
    value any
    Value of parameter.
    type str | GlobalParameterType
    Global Parameter type.
    value Any
    Value of parameter.
    type String | "Object" | "String" | "Int" | "Float" | "Bool" | "Array"
    Global Parameter type.
    value Any
    Value of parameter.

    GlobalParameterSpecificationResponse, GlobalParameterSpecificationResponseArgs

    Definition of a single parameter for an entity.
    Type string
    Global Parameter type.
    Value object
    Value of parameter.
    Type string
    Global Parameter type.
    Value interface{}
    Value of parameter.
    type string
    Global Parameter type.
    value any
    Value of parameter.
    type String
    Global Parameter type.
    value Object
    Value of parameter.
    type string
    Global Parameter type.
    value any
    Value of parameter.
    type str
    Global Parameter type.
    value Any
    Value of parameter.
    type String
    Global Parameter type.
    value Any
    Value of parameter.

    GlobalParameterType, GlobalParameterTypeArgs

    Object
    Object Object
    String
    String String
    Int
    Int Int
    Float
    Float Float
    Bool
    Bool Bool
    Array
    Array Array
    GlobalParameterTypeObject
    Object Object
    GlobalParameterTypeString
    String String
    GlobalParameterTypeInt
    Int Int
    GlobalParameterTypeFloat
    Float Float
    GlobalParameterTypeBool
    Bool Bool
    GlobalParameterTypeArray
    Array Array
    "Object"
    Object Object
    "String"
    String String
    "Int"
    Int Int
    "Float"
    Float Float
    "Bool"
    Bool Bool
    "Array"
    Array Array
    Object
    Object Object
    String
    String String
    Int
    Int Int
    Float
    Float Float
    Bool
    Bool Bool
    Array
    Array Array
    Object
    Object Object
    String
    String String
    Int
    Int Int
    Float
    Float Float
    Bool
    Bool Bool
    Array
    Array Array
    OBJECT
    Object Object
    STRING
    String String
    INT
    Int Int
    FLOAT
    Float Float
    BOOL
    Bool Bool
    ARRAY
    Array Array
    "Object"
    Object Object
    "String"
    String String
    "Int"
    Int Int
    "Float"
    Float Float
    "Bool"
    Bool Bool
    "Array"
    Array Array

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    created_at string
    The timestamp of resource creation (UTC).
    created_by string
    The identity that created the resource.
    created_by_type string
    The type of identity that created the resource.
    last_modified_at string
    The timestamp of resource last modification (UTC)
    last_modified_by string
    The identity that last modified the resource.
    last_modified_by_type string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:datafactory:GlobalParameter default /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/globalParameters/{globalParameterName} 
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.20.0
    published on Thursday, Jul 9, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial